Runtime

## org.eclipse.gmf.runtime.diagram.ui.actions
Interface ActionIds

public interface ActionIds

A list of constants defining the diagram action and menu action ids.

This interface defines constants only, it is not intended to be implemented by clients.

Field Summary
`static java.lang.String` `ACTION_ADD_NOTE`
`static java.lang.String` `ACTION_ADD_NOTELINK`
`static java.lang.String` `ACTION_ADD_TEXT`
`static java.lang.String` `ACTION_ALIGN_BOTTOM`
`static java.lang.String` `ACTION_ALIGN_CENTER`
`static java.lang.String` `ACTION_ALIGN_LEFT`
`static java.lang.String` `ACTION_ALIGN_MIDDLE`
`static java.lang.String` `ACTION_ALIGN_RIGHT`
`static java.lang.String` `ACTION_ALIGN_TOP`
`static java.lang.String` `ACTION_ARRANGE_ALL`
`static java.lang.String` `ACTION_ARRANGE_SELECTION`
`static java.lang.String` `ACTION_AUTOSIZE`
`static java.lang.String` `ACTION_BRING_FORWARD`
`static java.lang.String` `ACTION_BRING_TO_FRONT`
`static java.lang.String` `ACTION_COMPARTMENT_ALL`
`static java.lang.String` `ACTION_COMPARTMENT_NONE`
`static java.lang.String` `ACTION_COPY_APPEARANCE_PROPERTIES`
`static java.lang.String` `ACTION_COPY_BITMAP`
`static java.lang.String` `ACTION_DELETE_FROM_DIAGRAM`
`static java.lang.String` `ACTION_DELETE_FROM_MODEL`
`static java.lang.String` `ACTION_FONT_BOLD`
`static java.lang.String` `ACTION_FONT_DIALOG`
`static java.lang.String` `ACTION_FONT_ITALIC`
`static java.lang.String` `ACTION_HIDE_CONNECTION_LABELS`
`static java.lang.String` `ACTION_INSERT_SEMANTIC`
`static java.lang.String` `ACTION_MAKE_SAME_SIZE_BOTH`
`static java.lang.String` `ACTION_MAKE_SAME_SIZE_HEIGHT`
`static java.lang.String` `ACTION_MAKE_SAME_SIZE_WIDTH`
`static java.lang.String` `ACTION_RECALC_PAGEBREAKS`
`static java.lang.String` `ACTION_ROUTER_OBLIQUE`
`static java.lang.String` `ACTION_ROUTER_RECTILINEAR`
`static java.lang.String` `ACTION_ROUTER_TREE`
`static java.lang.String` `ACTION_SELECT_ALL_CONNECTIONS`
`static java.lang.String` `ACTION_SELECT_ALL_SHAPES`
`static java.lang.String` `ACTION_SEND_BACKWARD`
`static java.lang.String` `ACTION_SEND_TO_BACK`
`static java.lang.String` `ACTION_SHOW_COMPARTMENT_TITLE`
`static java.lang.String` `ACTION_SHOW_CONNECTION_LABELS`
`static java.lang.String` `ACTION_SHOW_PROPERTIES_VIEW`
`static java.lang.String` `ACTION_SNAP_BACK`
`static java.lang.String` `ACTION_SNAP_TO_GRID`
`static java.lang.String` `ACTION_SORT_FILTER`
`static java.lang.String` `ACTION_TOGGLE_ROUTER`
`static java.lang.String` `ACTION_TOOLBAR_ARRANGE_ALL`
`static java.lang.String` `ACTION_TOOLBAR_ARRANGE_SELECTION`
`static java.lang.String` `ACTION_TOOLBAR_SELECT_ALL`
`static java.lang.String` `ACTION_TOOLBAR_SELECT_ALL_CONNECTIONS`
`static java.lang.String` `ACTION_TOOLBAR_SELECT_ALL_SHAPES`
`static java.lang.String` `ACTION_VIEW_GRID`
`static java.lang.String` `ACTION_VIEW_PAGEBREAKS`
`static java.lang.String` `ACTION_VIEW_RULERS`
`static java.lang.String` `CUSTOM_FILL_COLOR`
`static java.lang.String` `CUSTOM_FONT_COLOR`
`static java.lang.String` `CUSTOM_FONT_NAME`
`static java.lang.String` `CUSTOM_FONT_SIZE`
`static java.lang.String` `CUSTOM_LINE_COLOR`
`static java.lang.String` `CUSTOM_ZOOM`
`static java.lang.String` `DIAGRAM_EDITOR_CONTEXT_MENU`
`static java.lang.String` `DIAGRAM_OUTLINE_CONTEXT_MENU`
`static java.lang.String` `MENU_ALIGN`
`static java.lang.String` `MENU_ARRANGE`
`static java.lang.String` `MENU_ARRANGE_TOOLBAR`
`static java.lang.String` `MENU_COMPARTMENT`
`static java.lang.String` `MENU_CONNECTION_LABEL`
`static java.lang.String` `MENU_DIAGRAM`
`static java.lang.String` `MENU_DIAGRAM_ADD`
`static java.lang.String` `MENU_EDIT`
`static java.lang.String` `MENU_FILE`
`static java.lang.String` `MENU_FILTERS`
`static java.lang.String` `MENU_FORMAT`
`static java.lang.String` `MENU_MAKE_SAME_SIZE`
`static java.lang.String` `MENU_NAVIGATE`
`static java.lang.String` `MENU_OPEN_WITH`
`static java.lang.String` `MENU_ROUTER`
`static java.lang.String` `MENU_SELECT`
`static java.lang.String` `MENU_SELECT_TOOLBAR`
`static java.lang.String` `MENU_SHOW_IN`
`static java.lang.String` `MENU_VIEW`
`static java.lang.String` `MENU_ZORDER`
`static java.lang.String` `OPEN`

Field Detail

### MENU_DIAGRAM

    public static final java.lang.String MENU_DIAGRAM

See Also:
  Constant Field Values

### MENU_DIAGRAM_ADD

    public static final java.lang.String MENU_DIAGRAM_ADD

See Also:
  Constant Field Values

### MENU_NAVIGATE

    public static final java.lang.String MENU_NAVIGATE

See Also:
  Constant Field Values

### MENU_FILE

    public static final java.lang.String MENU_FILE

See Also:
  Constant Field Values

### MENU_EDIT

    public static final java.lang.String MENU_EDIT

See Also:
  Constant Field Values

### MENU_FILTERS

    public static final java.lang.String MENU_FILTERS

See Also:
  Constant Field Values

### MENU_FORMAT

    public static final java.lang.String MENU_FORMAT

See Also:
  Constant Field Values

### MENU_ARRANGE

    public static final java.lang.String MENU_ARRANGE

See Also:
  Constant Field Values

### MENU_ARRANGE_TOOLBAR

    public static final java.lang.String MENU_ARRANGE_TOOLBAR

See Also:
  Constant Field Values

### MENU_SELECT

    public static final java.lang.String MENU_SELECT

See Also:
  Constant Field Values

### MENU_SELECT_TOOLBAR

    public static final java.lang.String MENU_SELECT_TOOLBAR

See Also:
  Constant Field Values

### MENU_ALIGN

    public static final java.lang.String MENU_ALIGN

See Also:
  Constant Field Values

### MENU_SHOW_IN

    public static final java.lang.String MENU_SHOW_IN

See Also:
  Constant Field Values

### MENU_COMPARTMENT

    public static final java.lang.String MENU_COMPARTMENT

See Also:
  Constant Field Values

### MENU_CONNECTION_LABEL

    public static final java.lang.String MENU_CONNECTION_LABEL

See Also:
  Constant Field Values

### MENU_ROUTER

    public static final java.lang.String MENU_ROUTER

See Also:
  Constant Field Values

### MENU_OPEN_WITH

    public static final java.lang.String MENU_OPEN_WITH

See Also:
  Constant Field Values

### MENU_ZORDER

    public static final java.lang.String MENU_ZORDER

See Also:
  Constant Field Values

### ACTION_BRING_TO_FRONT

    public static final java.lang.String ACTION_BRING_TO_FRONT

See Also:
  Constant Field Values

### ACTION_SEND_TO_BACK

    public static final java.lang.String ACTION_SEND_TO_BACK

See Also:
  Constant Field Values

### ACTION_BRING_FORWARD

    public static final java.lang.String ACTION_BRING_FORWARD

See Also:
  Constant Field Values

### ACTION_SEND_BACKWARD

    public static final java.lang.String ACTION_SEND_BACKWARD

See Also:
  Constant Field Values

### MENU_VIEW

    public static final java.lang.String MENU_VIEW

See Also:
  Constant Field Values

### ACTION_VIEW_GRID

    public static final java.lang.String ACTION_VIEW_GRID

See Also:
  Constant Field Values

### ACTION_SNAP_TO_GRID

    public static final java.lang.String ACTION_SNAP_TO_GRID

See Also:
  Constant Field Values

### ACTION_VIEW_PAGEBREAKS

    public static final java.lang.String ACTION_VIEW_PAGEBREAKS

See Also:
  Constant Field Values

### ACTION_VIEW_RULERS

    public static final java.lang.String ACTION_VIEW_RULERS

See Also:
  Constant Field Values

### MENU_MAKE_SAME_SIZE

    public static final java.lang.String MENU_MAKE_SAME_SIZE

See Also:
  Constant Field Values

### ACTION_MAKE_SAME_SIZE_BOTH

    public static final java.lang.String ACTION_MAKE_SAME_SIZE_BOTH

See Also:
  Constant Field Values

### ACTION_MAKE_SAME_SIZE_HEIGHT

    public static final java.lang.String ACTION_MAKE_SAME_SIZE_HEIGHT

See Also:
  Constant Field Values

### ACTION_MAKE_SAME_SIZE_WIDTH

    public static final java.lang.String ACTION_MAKE_SAME_SIZE_WIDTH

See Also:
  Constant Field Values

### CUSTOM_FONT_NAME

    public static final java.lang.String CUSTOM_FONT_NAME

See Also:
  Constant Field Values

### CUSTOM_FONT_SIZE

    public static final java.lang.String CUSTOM_FONT_SIZE

See Also:
  Constant Field Values

### CUSTOM_FONT_COLOR

    public static final java.lang.String CUSTOM_FONT_COLOR

See Also:
  Constant Field Values

### CUSTOM_LINE_COLOR

    public static final java.lang.String CUSTOM_LINE_COLOR

See Also:
  Constant Field Values

### CUSTOM_FILL_COLOR

    public static final java.lang.String CUSTOM_FILL_COLOR

See Also:
  Constant Field Values

### CUSTOM_ZOOM

    public static final java.lang.String CUSTOM_ZOOM

See Also:
  Constant Field Values

### ACTION_FONT_DIALOG

    public static final java.lang.String ACTION_FONT_DIALOG

See Also:
  Constant Field Values

### ACTION_FONT_BOLD

    public static final java.lang.String ACTION_FONT_BOLD

See Also:
  Constant Field Values

### ACTION_FONT_ITALIC

    public static final java.lang.String ACTION_FONT_ITALIC

See Also:
  Constant Field Values

### ACTION_ARRANGE_ALL

    public static final java.lang.String ACTION_ARRANGE_ALL

See Also:
  Constant Field Values

### ACTION_ARRANGE_SELECTION

    public static final java.lang.String ACTION_ARRANGE_SELECTION

See Also:
  Constant Field Values

### ACTION_TOOLBAR_ARRANGE_ALL

    public static final java.lang.String ACTION_TOOLBAR_ARRANGE_ALL

See Also:
  Constant Field Values

### ACTION_TOOLBAR_ARRANGE_SELECTION

    public static final java.lang.String ACTION_TOOLBAR_ARRANGE_SELECTION

See Also:
  Constant Field Values

### ACTION_SELECT_ALL_SHAPES

    public static final java.lang.String ACTION_SELECT_ALL_SHAPES

See Also:
  Constant Field Values

### ACTION_SELECT_ALL_CONNECTIONS

    public static final java.lang.String ACTION_SELECT_ALL_CONNECTIONS

See Also:
  Constant Field Values

### ACTION_TOOLBAR_SELECT_ALL

    public static final java.lang.String ACTION_TOOLBAR_SELECT_ALL

See Also:
  Constant Field Values

### ACTION_TOOLBAR_SELECT_ALL_SHAPES

    public static final java.lang.String ACTION_TOOLBAR_SELECT_ALL_SHAPES

See Also:
  Constant Field Values

### ACTION_TOOLBAR_SELECT_ALL_CONNECTIONS

    public static final java.lang.String ACTION_TOOLBAR_SELECT_ALL_CONNECTIONS

See Also:
  Constant Field Values

### ACTION_AUTOSIZE

    public static final java.lang.String ACTION_AUTOSIZE

See Also:
  Constant Field Values

### ACTION_COMPARTMENT_ALL

    public static final java.lang.String ACTION_COMPARTMENT_ALL

See Also:
  Constant Field Values

### ACTION_COMPARTMENT_NONE

    public static final java.lang.String ACTION_COMPARTMENT_NONE

See Also:
  Constant Field Values

### ACTION_ROUTER_RECTILINEAR

    public static final java.lang.String ACTION_ROUTER_RECTILINEAR

See Also:
  Constant Field Values

### ACTION_ROUTER_OBLIQUE

    public static final java.lang.String ACTION_ROUTER_OBLIQUE

See Also:
  Constant Field Values

### ACTION_ROUTER_TREE

    public static final java.lang.String ACTION_ROUTER_TREE

See Also:
  Constant Field Values

### ACTION_TOGGLE_ROUTER

    public static final java.lang.String ACTION_TOGGLE_ROUTER

See Also:
  Constant Field Values

### ACTION_COPY_APPEARANCE_PROPERTIES

    public static final java.lang.String ACTION_COPY_APPEARANCE_PROPERTIES

See Also:
  Constant Field Values

### ACTION_SNAP_BACK

    public static final java.lang.String ACTION_SNAP_BACK

See Also:
  Constant Field Values

### ACTION_COPY_BITMAP

    public static final java.lang.String ACTION_COPY_BITMAP

See Also:
  Constant Field Values

### ACTION_DELETE_FROM_MODEL

    public static final java.lang.String ACTION_DELETE_FROM_MODEL

See Also:
  Constant Field Values

### ACTION_DELETE_FROM_DIAGRAM

    public static final java.lang.String ACTION_DELETE_FROM_DIAGRAM

See Also:
  Constant Field Values

### ACTION_RECALC_PAGEBREAKS

    public static final java.lang.String ACTION_RECALC_PAGEBREAKS

See Also:
  Constant Field Values

### ACTION_SORT_FILTER

    public static final java.lang.String ACTION_SORT_FILTER

See Also:
  Constant Field Values

### ACTION_SHOW_PROPERTIES_VIEW

    public static final java.lang.String ACTION_SHOW_PROPERTIES_VIEW

See Also:
  Constant Field Values

### ACTION_SHOW_CONNECTION_LABELS

    public static final java.lang.String ACTION_SHOW_CONNECTION_LABELS

See Also:
  Constant Field Values

### ACTION_HIDE_CONNECTION_LABELS

    public static final java.lang.String ACTION_HIDE_CONNECTION_LABELS

See Also:
  Constant Field Values

### ACTION_SHOW_COMPARTMENT_TITLE

    public static final java.lang.String ACTION_SHOW_COMPARTMENT_TITLE

See Also:
  Constant Field Values

### DIAGRAM_EDITOR_CONTEXT_MENU

    public static final java.lang.String DIAGRAM_EDITOR_CONTEXT_MENU

See Also:
  Constant Field Values

### DIAGRAM_OUTLINE_CONTEXT_MENU

    public static final java.lang.String DIAGRAM_OUTLINE_CONTEXT_MENU

See Also:
  Constant Field Values

### ACTION_ADD_NOTELINK

    public static final java.lang.String ACTION_ADD_NOTELINK

See Also:
  Constant Field Values

### ACTION_ADD_TEXT

    public static final java.lang.String ACTION_ADD_TEXT

See Also:
  Constant Field Values

### ACTION_ADD_NOTE

    public static final java.lang.String ACTION_ADD_NOTE

See Also:
  Constant Field Values

### ACTION_ALIGN_LEFT

    public static final java.lang.String ACTION_ALIGN_LEFT

See Also:
  Constant Field Values

### ACTION_ALIGN_RIGHT

    public static final java.lang.String ACTION_ALIGN_RIGHT

See Also:
  Constant Field Values

### ACTION_ALIGN_TOP

    public static final java.lang.String ACTION_ALIGN_TOP

See Also:
  Constant Field Values

### ACTION_ALIGN_BOTTOM

    public static final java.lang.String ACTION_ALIGN_BOTTOM

See Also:
  Constant Field Values

### ACTION_ALIGN_MIDDLE

    public static final java.lang.String ACTION_ALIGN_MIDDLE

See Also:
  Constant Field Values

### ACTION_ALIGN_CENTER

    public static final java.lang.String ACTION_ALIGN_CENTER

See Also:
  Constant Field Values

### ACTION_INSERT_SEMANTIC

    public static final java.lang.String ACTION_INSERT_SEMANTIC

See Also:
  Constant Field Values

### OPEN

    public static final java.lang.String OPEN

See Also:
  Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.